Skip to main content
POST
cURL

Authorizations

X-DOMO-Developer-Token
string
header
required

Domo access token that you can generate in the admin panel from within your Domo instance.

Path Parameters

datasource-id
string
required

The unique ID of one of the Federated V1 datasources returned from the List Federated V1 Migration CandidateDatasources by Account API.

Response

200 - application/json

Successful response

toe
string

Unique identifier of the migration reversal request.

datasourceId
string

Unique identifier of the datasource migration reversal was requested for.

direction
enum<string>

Direction of the migration reversal. Will be 'V2_TO_V1'.

Available options:
V2_TO_V1
startTime
string<date-time>

Starting date and time of the migration reversal.

state
enum<string>

Final state of the migration reversal, one of ["COMPLETE", "INCOMPLETE", "ABORTED"]

  • COMPLETE: Migration reversal has completed successfully.
  • INCOMPLETE: Migration reversal failed after some changes to the datasource were made. Domo content powered by the datasource may remain unavailable and/or non-functional until the migration reversal is re-attempted and completes successfully. More information can be found in the 'errorMessage' property.
  • ABORTED: Migration reversal was aborted prior to any changes being made to the datasource. More information can be found in the 'errorMessage' property.
Available options:
COMPLETE,
INCOMPLETE,
ABORTED
errorMessage
string | null

Message populated with additional details when a migration reversal fails to complete normally or is aborted prior to starting.

endTime
string<date-time>

Timestamp indicating the end time of the migration reversal.